package com.xhkjedu.slive.mapper.gradeclass;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.slive.model.gradeclass.TClassTeacher;
import com.xhkjedu.slive.vo.gradeclass.CTeacherVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ClassTeacherMapper extends TkMapper<TClassTeacher> {
    //删除班级下所有教师
    void deleteByClassId(Integer classid);

    //获取教师任教行政和提高班id
    String getClassIds(@Param("teacherid") Integer teacherid,@Param("schoolid") Integer schoolid);

    //获取班级教师
    List<CTeacherVo> listTeacherByClassIds(@Param("classids") String classids);

    //获取教师科目
    List<CTeacherVo> listSubjectByTeacherIds(@Param("teacherids") String teacherids);

    //获取科目列表
    List<CTeacherVo> listSubjectBySubjectIds(@Param("subjectids") String subjectids);

    //获取学校所有教师
    List<CTeacherVo> listTeacherBySchoolId(@Param("schoolid") Integer schoolid);
}
